How to install wxPython 2.8 on Ubuntu 18.04?

I am trying to install wxPython 2.8 on Ubuntu 18.04 system. But it is failing with below error :

$ sudo apt install python-wxgtk2.8
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package python-wxgtk2.8 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'python-wxgtk2.8' has no installation candidate

Let me know how to resolve above error so that I can install wxPython 2.8

Since there are various options for distro and wx port (GTK2 or GTK3) then the files can not all be located in the same folder for easy access by pip. This simply just means that you'll need to drill down a little further to find the URL to give to pip. For example, to get the GTK3 wxPython builds for Ubuntu 18.04 (and 16.10, LinuxMint 18, and probably others) you can use a pip command like this:

pip install -U \ -f https://extras.wxpython.org/wxPython4/extras/linux/gtk3/ubuntu-16.04 \ wxPython

Of course you can always download the wheel file yourself and then use pip to install your local copy of the file.

command line - How to install wxpython 4 ubuntu 18.04, After waiting long enough the process was complete and I got wxPython 4 installed. run sudo apt install make gcc libgtk-3-dev libwebkitgtk-dev  Here is a step-by-step guide to installing and configuring wxWidgets in Ubuntu! 1.Skip to step 2 if you have gcc, g++ etc installed (i.e. build-essential). In the terminal (if you don't know what the terminal is you better read a little more on linux) type sudo apt-get install build-essential This will install all the neccessary programs needed

I used this in an xterminal to include trusty repository in synaptic.

echo "deb http://archive.ubuntu.com/ubuntu trusty main universe" | sudo tee /etc/apt/sources.list.d/wily-copies.list

after this in Synaptic-packagemanager reloaded the repository and then I installed it. Be sure to un-select the repository (under "Settings" "Repositories" "Additional repositories") so you won't install obsolete software from this old repository

How to install wxPython, Install Python; Windows; Mac OS X; GNU/Linux - Redhat; GNU/Linux - Debian Installing wxGTK from source; Installing wxPython from source. After waiting long enough the process was complete and I got wxPython 4 installed. run . sudo apt install make gcc libgtk-3-dev libwebkitgtk-dev libwebkitgtk-3.0-dev libgstreamer-gl1.0-0 freeglut3 freeglut3-dev python-gst-1.0 python3-gst-1.0 libglib2.0-dev ubuntu-restricted-extras libgstreamer-plugins-base1.0-dev

wxPython Downloads, Yes, we have Linux Wheels. Sort of. Because of the differences between Linux distributions (mainly different versions of the core libraries installed by default, but​  Different Ways to install Python on Linux Ubuntu: Installing Python 3.8 is a quite simple process as it will take only a few minutes. Make sure you logged in as a root user or a user with Sudo privileges. Way 1 – Install Python 3.8 – Using PPA: Click on the shortcut CTRL+ALT+T to open the Terminal on Linux Ubuntu.

How to import wxPython, there. (Which will basically pip install the package inside the virtualenv your project uses.) Python 3.8 is not available in Ubuntu’s default repositories. In this tutorial, we’ll cover two different ways to install Python 3.8 on Ubuntu 18.04. The first option is to install the deb package from the deadsnakes PPA, and the second one is by building from the source code.

Cant import wx using pycharm, ubuntu@abcuser:~$ ride.py. Wrong wxPython version. You need to install wxPython 2.8.12.1 with unicode support to run RIDE. wxPython  On Linux is better to install wxPython before installing RIDE. This is because the correct package should be downloaded or installed directly from wxPython . Otherwise, the system will try to build the installation package and this takes time and not allways succeeds.

RIDE installation in Ubuntu 18.04 LTS, On Linux is better to install wxPython before installing RIDE. pip install https://​extras.wxpython.org/wxPython4/extras/linux/gtk3/ubuntu-18.04/  Installing wxWidgets and wxPython On Ubuntu Or Debian. There are wxWidgets and wxPython packages in the standard software repositories for Debian and Ubuntu, but they are usually at least a few releases behind the current release, and in some cases many releases behind.

Comments
  • Check if this thread is helpful groups.google.com/d/msg/robotframework-users/OApBkv-FGhE/…
  • Might be better to link to the askUbuntu question that that thread links to
  • That is a very old version of wxPython. Why are you trying to install that?
  • It's the version mentioned in the wxPython "How to install wxPython" wiki page
  • Question is asking about wxPython 2.8 not wxPython 4.0